随笔 - 3, 文章 - 152, 评论 - 17, 引用 - 0
数据加载中……

Eclipse基础

Eclipse

资源
一.介绍
1.eclipse官方网站: 
2.赛迪网   
3.Eclipse平台入门 
 
 

二.教程
 
 3Plus4 Software
 
Omondo
 
Tutorial for building J2EE Applications using JBOSS and ECLIPSE
 
Getting Started with Eclipse and the SWT   
 
我认为最好的教程还是eclipse软件自带的帮助文件(现在有了中文帮助)。
  

三.插件
 
Eclipse Plugin Resource Center and Marketplace   

eclipse-plugins  
 
eclipse-workbench   
 
以上3个网站都是综合性插件网站,你可以查询自己所需的插件,而且还有各种排名。
 
 
Jigloo SWT/Swing GUI Builder       
 
 
Lomboz  
 
Matrix网站介绍eclipse plugins  
 
TomcatPlugin
   http://www.sysdeo.com/eclipse/tomcatPlugin.html

EasyStruts
    http://easystruts.sourceforge.net

EclipseColorer plugin 
   http://colorer.sf.net 
   
CVS-SSH2 Plug-in for Eclipse 
   http://www.jcraft.com/eclipse-cvsssh2/

JadClipse
   http://jadclipse.sourceforge.net/

SWT Designer
   http://www.swt-designer.com/

Hibernator
   http://hibernator.sourceforge.net
---------------------------------------------------------------------------------------------------------------------------------

Eclipse启动过程


当前配置:Windows XP SP1,JDK1.4.2_04,Eclipse3.0.1
 
   一般安装JDK的时候,会同时在系统目录下也安装一个JRE环境。开始我把安装在系统目录下的JRE环境卸载了,在环境变量中添加一个变量JAVA_HOME,并设定值为“F:\j2sdk”(JDK的安装目录),在Path变量中添加“%JAVA_HOME%\bin;”。
   启动eclipse,可以发现一切正常,点击菜单“窗口”->首选项->Java->已安装的JRE,可以发现存在一个名称为“j2sdk”的JRE。
 
   首先把 JDK的安装目录名“F:\j2sdk”改为“F:\noj2sdk”(随便一个文件名都可以,或者去掉Path变量中的“%JAVA_HOME%\bin;”),再启动eclipse,可以发现eclipse无法启动,并出现如下提示:
 
 
主要是说没有找到 Java 运行期环境(JRE)。 
 
由于eclipse目录中没有jre目录,同时在Path变量中找不到正确的javaw执行路径。所以eclipse无法启动。
 
 
解决问题的3个方法:
 
   1.在Ms-Dos窗口中,切换到eclipse目录,执行 eclipse -vm F:\noj2sdk\bin\javaw,可以启动eclipse(eclipse -vm dir-location 参数可以用到指定其他的 JRE。)。
   2.复制 F:\noj2sdk目录下的 jre目录到eclipse目录中, 可以启动eclipse。
   3.把“F:\noj2sdk”目录名重新改为“F:\j2sdk”,可以启动eclipse。
  
   以上3个方法可以分别执行,如果同时执行,默认情况下,Eclipse 首先执行 -vm 参数;如果没有-vm参数,则查找 eclipse\jre 子目录;如果没有找到,Eclipse 将查找在系统中注册的 Java 运行期环境。
---------------------------------------------------------------------------------------------------------------------------------

java环境变量设置


我是一名java的爱好者,理所当然装了不少java方面的软件,大部分是开放源码的,而且多数是绿色软件,只要解压,设置一下环境变量即可使用。
 
   由于软件本身升级比较频繁,经常需要重新设置使用的环境变量,而且我常常同时安装同一软件的不同版本(甚至是相同版本)。如eclipse我就分别在F,G,H三个盘上装了不同的版本,一个是中文版,一个是英文的Latest Release,一个是Stream Stable,反正是绿色安装,也不会发生冲突,这样通过对比便于了解和测试最新版本的先进之处。
   但是假如把JDK版本从1.3升级到1.4,即JDK目录名可能要从“j2sdk1.3”改为“j2sdk1.4”,如果是这样的话,那么eclipse可能会无法再启动了(它要从环境变量中寻找JAVA_HOME变量,而JAVA_HOME变量值已经从“j2sdk1.3”改为“j2sdk1.4”了)。
   在谈谈jakarta-tomcat,这个软件升级比较频繁,如果你是结合eclipse来使用Tomcat的,那么每次Tomcat升级,可能都要在eclipse中重新设置一下Tomcat的安装目录,是不是有些麻烦?
 
    对于此类问题,解决的方法很简单,只要把默认的软件安装目录名去掉版本号即可(如果担心忘记版本号,只要在目录中添加一个readme文件加以说明即可)。
   
如上图,我的j2sdk,ant,jakata-tomcat等都没有版本号。
 
   同样,在环境变量设置中也没有出现版本号。
   
 
这样,如果再需要升级软件时,仅仅把新版软件安装在旧版软件目录即可。其它一般都不需要再改动了。
 
另外,在环境变量设置中,可以用%变量%代替变量值,如Path变量值可以这样设置:  %JAVA_HOME%\bin;%JBOSS_HOME%\bin;%ANT_HOME%\bin;
---------------------------------------------------------------------------------------------------------------------------------

安装eclipse及语言包


这里主要介绍当前最新的eclipse3.0.1版本及其语言包的下载与安装。
 
一.下载eclipse和其语言包
 
   eclipse需要是3.0.1版本的,不要是3.0版本的,因为它和语言包不匹配。可以从eclipse的官方网站选择一个镜像站点http://www.eclipse.org/downloads/index.php下载,下面我发现下载速度比较快的站点。

eclipse
 
 
 
 
 
http://eclipse.openwebeng.com/downloads/            (国内)

语言包
 
 
 
 
二.安装eclipse和其语言包
 
环境要求:Java(TM) 2 SDK,建议使用使用比较新的版本,如1.4.2版本(我的计算机的环境是 Windows XP SP1,Java(TM) 2 SDK v1.4.2_04)。

  首先解压Eclipse3.0.1到一个目录(这里我解压到I:\eclipse),然后把语言包NLpack-eclipse-SDK-3.0.x-win32.zip也解压到I:\eclipse目录。然后双击此目录中的eclipse.exe文件即可打开eclipe。效果如下:

注意:
   最好使用一个从未被启动过的Eclipse3.0.1,这样可以完全中文化。
   如果在安装中文包时Eclipse已经被使用过,则可能会出现有部分内容不能被汉化,比如“搜索”、“运行”等菜单。如果中文化的不完全,把eclipse 目录下的configuration目录删除,重启即可。
   也可以采用links方式安装这个语言包,可以参考  http://blog.csdn.net/javamxj/archive/2004/10/11/132311.aspx 


  装好后默认启动是中文,但也可以选择的,如:
<eclipse_home>/eclipse.exe -nl en_US 是启动英文版
<eclipse_home>/eclipse.exe -nl zh_CN 是启动简体中文版
 
 
   对于e文不好的人或者初学者来说,中文版本的eclipse可以显著提高学习效率,便于接受和使用eclipse。但是,毕竟当前先进的技术是英文一统天下,所以,在对eclipse有了初步的认识之后,还是建议大家多使用英文版的eclipse,这样,对以后的进一步学习和使用有好处。
   在我即将发表的一些有关eclipse的文章,主要还是使用中文版的eclipse,这样便于新手容易接受,但以后我会逐步向英文版的eclipse靠拢。
---------------------------------------------------------------------------------------------------------------------------------

使用links方式安装Eclipse插件


eclispe想必大家都很熟悉了,一般来说,eclipse插件都是安装在plugins目录下。不过这样一来,当安装了许多插件之后,eclipse变的很大,最主要的是不便于更新和管理众多插件。用links方式安装eclipse插件,可以解决这个问题。

   当前配置XP SP1,eclipse3.0.1

   现在假设我的eclipse安装目录是D:\eclipse,待安装插件目录是D:\plug-in ,我将要安装LanguagePackFeature(语言包)、emf-sdo-xsd-SDK、GEF-SDK、Lomboz这四个插件。

   先把这四个插件程序全部放在D:\plug-in目录里,分别解压。如Lomboz3.0.1.zip解压成Lomboz3.0.1目录,这个目录包含一个plugins目录,要先在Lomboz3.0.1目录中新建一个子目录eclipse,然后把plugins目录移动到刚建立的eclipse目录中,即目录结构要是这样的:D:\plug-in\Lomboz3.0.1\eclipse\plugins 

   Eclipse 将会到指定的目录下去查找 eclipse\features 目录和eclipse\plugins 目录,看是否有合法的功能部件和(或)插件。也就是说,目标目录必须包含一个 \eclipse 目录。如果找到,附加的功能部件和插件在运行期配置是将是可用的,如果链接文件是在工作区创建之后添加的,附加的功能部件和插件会作为新的配置变更来处理。

    其它压缩文件解压后若已经包含eclipse\plugins目录,则不需要建立eclipse目录。

    然后在 eclipse安装目录D:\eclipse目录中建立一个子目录links,在links目录中建立一个link文件,比如 LanguagePackFeature.link,改文件内容为  path=D:/plug-in/LanguagePackFeature  即这个link文件要对应一个刚解压后的插件目录。

说明:

 1. 插件可以分别安装在多个自定义的目录中。

 2. 一个自定义目录可以安装多个插件。

 3. link文件的文件名及扩展名可以取任意名称,比如ddd.txt,myplugin都可以。

 4. link文件中path=插件目录的path路径分隔要用\\或是/

 5. 在links目录也可以有多个link文件,每个link文件中的path参数都将生效。

 6. 插件目录可以使用相对路径。

   7. 可以在links目录中建立一个子目录,转移暂时不用的插件到此子目录中,加快eclipse启动。 

   8.  如果安装后看不到插件,把eclipse 目录下的configuration目录删除,重启即可。

posted on 2005-02-22 10:58 阅读(1025) 评论(2)  编辑  收藏 所属分类: Edit Tools

评论

# re: Eclipse基础  回复  更多评论   

好文章
2005-04-21 06:09 | voidmain()

# re: Eclipse基础  回复  更多评论   

Great topics !
2005-06-17 16:18 | loyalhero

只有注册用户登录后才能发表评论。


网站导航: